[Debian-live-changes] r2282 - in dists/trunk/live-helper: functions helpers

daniel at alioth.debian.org daniel at alioth.debian.org
Fri Jun 29 19:13:13 UTC 2007


Author: daniel
Date: 2007-06-29 19:13:13 +0000 (Fri, 29 Jun 2007)
New Revision: 2282

Added:
   dists/trunk/live-helper/functions/releases.sh
Modified:
   dists/trunk/live-helper/functions/defaults.sh
   dists/trunk/live-helper/helpers/lh_binary_disk
   dists/trunk/live-helper/helpers/lh_source_disk
Log:


Modified: dists/trunk/live-helper/functions/defaults.sh
===================================================================
--- dists/trunk/live-helper/functions/defaults.sh	2007-06-29 18:22:06 UTC (rev 2281)
+++ dists/trunk/live-helper/functions/defaults.sh	2007-06-29 19:13:13 UTC (rev 2282)
@@ -38,7 +38,7 @@
 		fi
 	fi
 
-	# Setting distribution value
+	# Setting distribution name
 	if [ -z "${LIVE_DISTRIBUTION}" ]
 	then
 		case "${LH_MODE}" in

Added: dists/trunk/live-helper/functions/releases.sh
===================================================================
--- dists/trunk/live-helper/functions/releases.sh	                        (rev 0)
+++ dists/trunk/live-helper/functions/releases.sh	2007-06-29 19:13:13 UTC (rev 2282)
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+# releases.sh - list release information
+# Copyright (C) 2006-2007 Daniel Baumann <daniel at debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# Debian releases
+VERSION_etch="4.0 r0"
+VERSION_lenny="prereleased"
+VERSION_sid="unreleased"
+
+# Ubuntu releases
+VERSION_hoary="5.04"
+VERSION_breezy="5.10"
+VERSION_dapper="6.06 LTS"
+VERSION_edgy="6.10"
+VERSION_feisty="7.04"
+VERSION_gutsy="7.10"


Property changes on: dists/trunk/live-helper/functions/releases.sh
___________________________________________________________________
Name: svn:executable
   + *

Modified: dists/trunk/live-helper/helpers/lh_binary_disk
===================================================================
--- dists/trunk/live-helper/helpers/lh_binary_disk	2007-06-29 18:22:06 UTC (rev 2281)
+++ dists/trunk/live-helper/helpers/lh_binary_disk	2007-06-29 19:13:13 UTC (rev 2282)
@@ -61,8 +61,33 @@
 
 	echo "not_complete" > binary/.disk/cd_type
 
-	echo "Debian GNU/Linux \"${LIVE_DISTRIBUTION}\" - Official ${LIVE_ARCHITECTURE} LIVE/NETINST Binary `date +%Y%m%d-%H:%M`" > binary/.disk/info
+	ARCHITECTURE="`echo ${LIVE_ARCHITECTURE} | sed -e 's# #/#g'`"
+	DISTRIBUTION="`echo ${LIVE_DISTRIBUTION} | cut -b 1 | tr '[a-z]' '[A-Z]'`"
+	DISTRIBUTION="${DISTRIBUTION}`echo ${LIVE_DISTRIBUTION} | cut -b 2-`"
+	eval VERSION="$`echo ${VERSION}_${LIVE_DISTRIBUTION}`"
 
+	case "${LH_MODE}" in
+		debian)
+			if [ -d binary/pool/main/b/base-installer ]
+			then
+				if [ -d binary/pool/main/l/live-installer ]
+				then
+					TYPE="LIVE/INSTALL"
+				fi
+
+				TYPE="LIVE/NETINST"
+			else
+				TYPE="LIVE"
+			fi
+
+			echo "Debian GNU/Linux \"${DISTRIBUTION}\" ${VERSION} - Official ${ARCHITECTURE} ${TYPE} Binary `date +%Y%m%d-%H:%M`" > binary/.disk/info
+			;;
+
+		ubuntu)
+			echo "Ubuntu Linux \"${DISTRIBUTION}\" ${VERSION} - Unofficial ${ARCHITECTURE} LIVE/NETINST Binary `date +%Y%m%d-%H:%M`" > binary/.disk/info
+			;;
+	esac
+
 	#touch binary/.disk/mkisofs
 
 cat > binary/.disk/udeb_include << EOF
@@ -76,10 +101,7 @@
 	if [ -d binary/pool/main/l/live-installer ]
 	then
 		echo "live-installer" >> binary/.disk/udeb_include
-		echo "Debian GNU/Linux \"${LIVE_DISTRIBUTION}\" - Official ${LIVE_ARCHITECTURE} LIVE/INSTALL Binary `date +%Y%m%d-%H:%M`" > binary/.disk/info
 	fi
-else
-	echo "Debian GNU/Linux \"${LIVE_DISTRIBUTION}\" - Official ${LIVE_ARCHITECTURE} LIVE Binary `date +%Y%m%d-%H:%M`" > binary/.disk/info
 fi
 
 # Creating stage file

Modified: dists/trunk/live-helper/helpers/lh_source_disk
===================================================================
--- dists/trunk/live-helper/helpers/lh_source_disk	2007-06-29 18:22:06 UTC (rev 2281)
+++ dists/trunk/live-helper/helpers/lh_source_disk	2007-06-29 19:13:13 UTC (rev 2282)
@@ -53,7 +53,32 @@
 
 mkdir -p source/.disk
 
-echo "Debian GNU/Linux \"${LIVE_DISTRIBUTION}\" - Official ${LIVE_ARCHITECTURE} LIVE Source `date +%Y%m%d-%H:%M`" > source/.disk/info
+ARCHITECTURE="`echo ${LIVE_ARCHITECTURE} | sed -e 's# #/#g'`"
+DISTRIBUTION="`echo ${LIVE_DISTRIBUTION} | cut -b 1 | tr '[a-z]' '[A-Z]'`"
+DISTRIBUTION="${DISTRIBUTION}`echo ${LIVE_DISTRIBUTION} | cut -b 2-`"
+eval VERSION="$`echo ${VERSION}_${LIVE_DISTRIBUTION}`"
 
+case "${LH_MODE}" in
+	debian)
+		if [ -d binary/pool/main/b/base-installer ]
+		then
+			if [ -d binary/pool/main/l/live-installer ]
+			then
+				TYPE="LIVE/INSTALL"
+			fi
+
+			TYPE="LIVE/NETINST"
+		else
+			TYPE="LIVE"
+		fi
+
+		echo "Debian GNU/Linux \"${DISTRIBUTION}\" ${VERSION} - Official ${ARCHITECTURE} ${TYPE} Source `date +%Y%m%d-%H:%M`" > source/.disk/info
+		;;
+
+	ubuntu)
+		echo "Ubuntu Linux \"${DISTRIBUTION}\" ${VERSION} - Unofficial ${ARCHITECTURE} LIVE/NETINST Source `date +%Y%m%d-%H:%M`" > source/.disk/info
+		;;
+esac
+
 # Creating stage file
 Create_stagefile .stage/source_disk




More information about the Debian-live-changes mailing list